# Resources

- [👩‍💻 Developer API](https://docs.gutenbricks.com/resources/developer-api.md)
- [echo:gb\_current\_element\_id returns unique ID](https://docs.gutenbricks.com/resources/developer-api/echo-gb_current_element_id-returns-unique-id.md): @since 1.0.8
- [GutenBricks Events for Gutenberg Editor](https://docs.gutenbricks.com/resources/developer-api/gutenbricks-events-for-gutenberg-editor.md): Since v1.1
- [gb\_get\_field()](https://docs.gutenbricks.com/resources/developer-api/gb_get_field.md): This method allows you to retrieve Block metadata programmatically.
- [Unique IDs](https://docs.gutenbricks.com/resources/developer-api/unique-ids.md)
- [Filter: gutenbricks\_bricks\_theme\_name](https://docs.gutenbricks.com/resources/developer-api/filter-gutenbricks_bricks_theme_name.md)
- [🔌 Third Party Integrations](https://docs.gutenbricks.com/resources/third-party-integrations.md): We are working hard to provide integrations with third party libraries.
- [ACSS integration with GutenBricks](https://docs.gutenbricks.com/resources/third-party-integrations/acss-integration-with-gutenbricks.md)
- [ACSS 2.8.0 Section padding missing](https://docs.gutenbricks.com/resources/third-party-integrations/acss-integration-with-gutenbricks/acss-2.8.0-section-padding-missing.md)
- [ACF / Meta Box integration](https://docs.gutenbricks.com/resources/third-party-integrations/acf-meta-box-integration.md)
- [❤️ Our Approach and Philosophy](https://docs.gutenbricks.com/resources/our-approach-and-philosophy.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gutenbricks.com/resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
